import pygame, Menu
from pygame.locals import *
from Vector2 import *

from GameState import *
from Ingame import *

class Credits(GameState):
    def __init__(self, game):
        GameState.__init__(self, game)
		
        self.img = pygame.image.load("Assets/Menu/creditScreen.png")
        self.scalingFactor = self.game.width / 1920.0
        
        self.backRect = pygame.Rect(0*self.scalingFactor, 900*self.scalingFactor, 300*self.scalingFactor, 180*self.scalingFactor)
		
		
    def handleEvents(self):
        self.events = pygame.event.get()
		
        for event in self.events:
            if event.type == QUIT:
                self.game.exit()
            if event.type == KEYUP:
                if event.key == K_ESCAPE:
                    self.game.exit()
            if event.type ==  MOUSEBUTTONDOWN:
                if event.button == 1:
                    if self.backRect.collidepoint(event.pos):
                        self.game.changeState(Menu.Menu(self.game))
	
    def update(self, dt):
        return
		
    def render(self):
        pygame.transform.scale(self.img, (self.game.width, self.game.height), self.game.DISPLAYSURF)
        pygame.display.flip()
		

