from Vector2 import *
from Camera import *
from Level import *


class Level1(Level):
    def __init__(self, game):
        self.game = game
        self.bounds = Vec2d(1999.9999999999998, 1080.0)
        self.coordsInverted = False
        self.game.startPos = Vec2d(9.0, 925.1999999999999)
        self.camera = Camera(self.game, Vec2d(0, 0), Vec2d(1920, 1080), self.bounds)
        self.game.entityManager.addEntity(self.camera)
		
        self.createLevel()

    def createLevel(self):
        f = self.game.factory
		
        f.createSaw(201.6, 1015.1999999999999, 0)
        f.createSaw(558.0, 1017.0, 0)
        f.createWall(0.0, 0.0, 833.4, 666.0)
        f.createPlasmaCannon(383.4, 666.0, 180, 5.0)
        f.createTable(865.8, 858.5999999999999)
        f.createWall(1449.0, 261.0, 162.0, 815.4)
        f.createSaw(1609.1999999999998, 370.8, 270)
        f.createSaw(1612.8, 833.4, 270)
        f.createPlasmaCannon(1609.1999999999998, 613.8, 270, 5.0)
        f.createDrink(1000, 950, 1)
        f.createKK(270, 250, "Assets/help1.png")

		
		
		
		
		
		

