from Vector2 import *
from Camera import *
from Level import *


class Level2(Level):
    def __init__(self, game):
        self.game = game
        self.bounds = Vec2d(3000.0, 1080.0)
        self.coordsInverted = False
        self.game.startPos = Vec2d(12.6, 930.5999999999999)
        self.camera = Camera(self.game, Vec2d(0, 0), Vec2d(1920, 1080), self.bounds)
        self.game.entityManager.addEntity(self.camera)
	
        self.createLevel()

    def createLevel(self):
        f = self.game.factory

		
        f.createTable(239.39999999999998, 860.4)
        f.createTable(239.39999999999998, 639.0)
        f.createTable(241.2, 417.59999999999997)
        f.createSaw(379.8, 1017.0, 0)
        f.createWall(838.8, 351.0, 135.0, 725.4)
        f.createSaw(975.5999999999999, 462.59999999999997, 270)
        f.createPlasmaCannon(975.5999999999999, 900, 270, 3.0)
        f.createWall(1236.6, 12.6, 284.4, 810.0)
        f.createTable(1697.3999999999999, 860.4)
        f.createWall(1693.8, 322.2, 577.8, 120.6)
        f.createWall(2161.7999999999997, 450.0, 109.8, 624.6)
        f.createDrink(400, 700, 1)
        f.createKK(1300, 500, "Assets/help2.png")
		
		
		
		


