import pygame
from pygame.locals import *

from Entity import *
from Vector2 import *

class Table(Entity):
	def __init__(self, game, pos):
		Entity.__init__(self)
		
		self.game = game
		
		self.pos = pos
		self.img = pygame.image.load("Assets/table.png")
		self.size = Vec2d(self.img.get_width(), self.img.get_height())
		self.useMask = False
		
		self.allRect = pygame.Rect(self.pos.x, self.pos.y, self.size.x, self.size.y*0.2)

	def rrrender(self):
		self.game.draw(self.img, self.pos)
		
		
	def onCollision(self, entity):
		return

	def getRect(self):
		return self.allRect

	def updateRect(self):
		self.allRect = pygame.Rect(self.pos.x, self.pos.y, self.size.x, self.size.y*0.2)
