import pygame
from pygame import *

from Entity import *
from Vector2 import *
from Player import *

class Drink(Entity):
	def __init__(self, state, pos, color):
		Entity.__init__(self)
		self.color = color
		self.state = state
		self.pos = pos
		
		if self.color == 1:
			self.img = pygame.image.load("Assets/redDrink.png")
		if self.color == 2:
			self.img = pygame.image.load("Assets/greenDrink.png")
			
		self.size = Vec2d(self.img.get_width(), self.img.get_height())
		self.allRect = pygame.Rect(self.pos.x, self.pos.y, self.size.x, self.size.y)
		
		
	def update(self, dt):
		self.allRect = pygame.Rect(self.pos.x, self.pos.y, self.size.x, self.size.y)
			
	def rrrender(self):
		self.state.draw(self.img, self.pos)
		
	def getRect(self):
		return self.allRect
		
	def onCollision(self, entity):
		self.doomed = True
		return
	
		

