import pygame, Menu
from pygame.locals import *

from GameState import *

class Exit(GameState):
	def __init__(self, game):
		GameState.__init__(self, game)
		
		self.img = pygame.image.load("Assets/Menu/exit.png")
		self.RENDERSURF = pygame.Surface((1920, 1080))
		
		
		
	def handleEvents(self):
		self.events = pygame.event.get()
		
		for event in self.events:
			if event.type == QUIT:
				self.game.exit()
			if event.type == KEYUP:
				if event.key == K_ESCAPE:
					self.exit()
		

	def update(self, dt):
		return
		
	def render(self):
		self.RENDERSURF.fill(pygame.Color(255, 255, 255))
		
		self.RENDERSURF.blit(self.img, (0, 0))
		
		pygame.transform.scale(self.RENDERSURF, (self.game.width, self.game.height), self.game.DISPLAYSURF)
		pygame.display.flip()
		
	def exit(self):
		self.game.changeState(Menu.Menu(self.game))
		return

