import pygame
from pygame.locals import *

from Entity import *
from Vector2 import *

class KnickKnack(Entity):
	def __init__(self, game):
		Entity.__init__(self)
		
		self.game = game
		self.img = None
		self.pos = Vec2d(0, 0)
		
		
	def initialize(self, pos, path):
		self.pos = pos
		self.img = pygame.image.load(path)
		self.size = Vec2d(self.img.get_width(), self.img.get_height())
	def render(self):
		self.game.draw(self.img, self.pos)
