from Vector2 import *
from Camera import *
from Level import *


class Level4(Level):
	def __init__(self, game):
		self.game = game
		self.bounds = Vec2d(2500.0, 1080.0)
		self.coordsInverted = False
		self.game.startPos = Vec2d(10.799999999999999, 925.1999999999999)
		self.camera = Camera(self.game, Vec2d(0, 0), Vec2d(1920, 1080), self.bounds)
		self.game.entityManager.addEntity(self.camera)
		
		self.createLevel()

	def createLevel(self):
		f = self.game.factory
		
		
		
		f.createWall(324.0, 185.4, 356.4, 900.0)
		f.createWall(995.4, 3.5999999999999996, 340.2, 446.4)
		f.createPlasmaCannon(945.4, 27.0, 90, 6.0, 1, 300)
		f.createSaw(684.0, 1013.4, 0)
		f.createTable(1112.3999999999999, 856.8)
		f.createSaw(1605.6, 1013.4, 0)
		f.createPlasmaCannon(1999.8, 1031.3999999999999, 0)
		f.createDrink(200, 900)
		
		
		



