import pygame
from pygame import *

from Entity import *
from Vector2 import *

class Trampoline(Entity):
	def __init__(self, state, pos):
		Entity.__init__(self)
		
		self.state = state
		self.pos = pos
		
		self.img = pygame.image.load("Assets/trampoline.png")
		self.size = Vec2d(self.img.get_width(), self.img.get_height())
		self.allRect = pygame.Rect(self.pos.x, self.pos.y, self.size.x, self.size.y)
		
		self.timer = 0
		self.lifeTime = 10.0
		
		
	def update(self, dt):
		self.timer += dt
		self.allRect = pygame.Rect(self.pos.x, self.pos.y, self.size.x, self.size.y)
		if self.timer > self.lifeTime:
			self.doomed = True
			return
			
	def rrrender(self):
		self.state.draw(self.img, self.pos)
		
	def getRect(self):
		return self.allRect
		
	def onCollision(self, entity):
		return
	
		
